View Issue Details

IDProjectCategoryView StatusLast Update
0003284unrealmodule apipublic2010-07-14 17:49
ReporterstskeepsAssigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
PlatformAllOSAllOS VersionAll
Product Version3.3-alpha0 
Target VersionFixed in Version 
Summary0003284: 3rd Party Module Wishlist
DescriptionThis is a parent for the bug reports that would be more suitable for being 3rd party modules instead of core functionality, but won't be included into stable for now.
TagsNo tags attached.
3rd party modules

Relationships

parent of 0003225 resolvedsyzop RKLINE and RZLINE 
parent of 0001714 resolvedsyzop VHost in Oper Block 
parent of 0003247 resolvedsyzop Feature Request 
parent of 0002489 closed Suggestion: not displaying channels with less than 2 ppl in /list 
parent of 0003193 resolvedaquanight Enable some combinations of extbans 
parent of 0003152 closed sorted /stats o layout 
parent of 0003251 closed Expand SAMODE to work on users 
parent of 0003297 closedsyzop new chanmode: prevent part msgs 
parent of 0003291 acknowledged [Feature/request] View channels in /whowas 
parent of 0002312 closedsyzop Removing multiple *:lines 
parent of 0003021 closed Yo, new feature. 
parent of 0002954 closed SQUIT Ulines 
parent of 0003246 acknowledged /silence 
parent of 0002726 closed Feature Request: Automatic activation of vhosts. 
parent of 0001745 closed Adding oper viewable-only field(s) to whois 
parent of 0002852 closedsyzop Codepage support added based 
parent of 0003356 closed An addon for +f 
parent of 0002184 closedsyzop Support for services account name in /WHOIS 
parent of 0003031 feedback Ability to hide Ulines from /Lusers 
parent of 0002912 resolvednenolod zlib compression, user protocol 
parent of 0002906 resolvedtmcarthur Feature request : Asuka channel mode +D/+d 
related to 0002450 closed new channel mode, preventing joining with internationalized nicks 
Not all the children of this issue are yet resolved or closed.

Activities

stskeeps

2007-04-18 05:50

reporter   ~0013512

Contact me on IRC if you see something that you think should be added.

djGrrr

2007-04-19 09:44

reporter   ~0013606

i think most people kinda want this to be more or less official modules maintained by the unreal coders, but not be included in commands.so, so they can be loaded if wanted. Having to rely on a 3rd party to maintain the modules often just ends up in modules not being properly maintained

stskeeps

2007-04-19 17:53

reporter   ~0013608

Admittedly, but it would be nice to get some people involved and then we might include them in core :P See it as a kind of ideas list for modules?

Issue History

Date Modified Username Field Change
2007-04-18 05:48 stskeeps New Issue
2007-04-18 05:48 stskeeps Relationship added parent of 0003225
2007-04-18 05:50 stskeeps Note Added: 0013512
2007-04-18 05:52 stskeeps Relationship added parent of 0001714
2007-04-18 05:53 stskeeps Relationship added parent of 0003247
2007-04-18 05:53 stskeeps Relationship added parent of 0002489
2007-04-18 05:54 stskeeps Relationship added parent of 0003193
2007-04-18 05:54 stskeeps Relationship added related to 0002450
2007-04-19 02:37 stskeeps Relationship added parent of 0003152
2007-04-19 03:00 stskeeps Status new => acknowledged
2007-04-19 03:27 stskeeps Summary 3rd Party Module Official Wishlist => 3rd Party Module Wishlist
2007-04-19 03:27 stskeeps Relationship added parent of 0003251
2007-04-19 09:44 djGrrr Note Added: 0013606
2007-04-19 17:53 stskeeps Note Added: 0013608
2007-04-26 05:56 syzop Relationship added parent of 0003297
2007-04-26 06:11 stskeeps Relationship added parent of 0003291
2007-04-26 06:17 stskeeps Description Updated
2007-04-26 06:22 stskeeps Relationship added parent of 0002312
2007-04-27 03:01 stskeeps Relationship added parent of 0003021
2007-04-27 03:09 stskeeps Relationship added parent of 0002954
2007-04-27 03:12 stskeeps Relationship added parent of 0003246
2007-04-27 04:09 stskeeps Relationship added parent of 0002726
2007-04-27 06:03 stskeeps Relationship added parent of 0001745
2007-04-27 17:44 syzop Relationship added parent of 0002852
2007-05-22 05:17 stskeeps Relationship added parent of 0003356
2007-06-11 16:04 stskeeps Relationship added parent of 0002184
2007-06-11 16:05 stskeeps Relationship added parent of 0003031
2007-06-12 15:02 stskeeps Relationship added parent of 0002912
2007-06-12 15:15 stskeeps Relationship added parent of 0002906
2010-07-14 17:49 syzop QA => Not touched yet by developer
2010-07-14 17:49 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-07-14 17:49 syzop U4: Upstream notification of bug => Not decided
2010-07-14 17:49 syzop U4: Contributor working on this => None
2010-07-14 17:49 syzop Severity minor => feature
2017-01-06 15:48 syzop Category module => module api